<?php

declare(strict_types=1);

namespace kodorvan\surikov\controllers;

// Files of the project
use kodorvan\surikov\controllers\core;

// Framework for PHP
use mirzaev\minimal\http\enumerations\content,
	mirzaev\minimal\http\enumerations\status;

/**
 * Errors controller
 *
 * @package kodorvan\surikov\controllers
 *
 * @license http://www.wtfpl.net/ Do What The Fuck You Want To Public License
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class errors_controller extends core
{
	/**
	 * Errors
	 *
	 * @var array $errors Registry of errors
	 */
	protected array $errors = [
		'system' => [],
		'account' => []
	];

	public function error404(): ?string
	{
		// Генерация представления
		return 'Ошибка 404 (не найдено)';
	}

	public function error500(): ?string
	{
		// Генерация представления
		return 'Ошибка 500 (на стороне сервера)';
	}
}
